| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::GraphicsDImgItem Class Reference
Inheritance diagram for Digikam::GraphicsDImgItem:

## Signals
void | imageChanged ()
void | imageSizeChanged (const QSizeF &size)
void | showContextMenu (QGraphicsSceneContextMenuEvent *e)

## Public Member Functions
| GraphicsDImgItem (QGraphicsItem *const parent=nullptr)
QRectF | boundingRect () const override
void | clearCache ()
DImg | image () const
void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override
void | setDisplayWidget (QWidget *const widget)
void | setEnableOverExposure (bool b)
void | setEnableUnderExposure (bool b)
void | setImage (const DImg &img)
| Sets the DImg to be drawn by this item.
void | sizeHasChanged ()
virtual QString | userLoadingHint () const
ImageZoomSettings * | zoomSettings ()
const ImageZoomSettings * | zoomSettings () const

## Protected Member Functions
| GraphicsDImgItem (GraphicsDImgItemPrivate &dd, QGraphicsItem *const parent)
void | contextMenuEvent (QGraphicsSceneContextMenuEvent *e) override

## Protected Attributes
GraphicsDImgItemPrivate *const | d_ptr

## Member Function Documentation

## ◆ setImage()

void Digikam::GraphicsDImgItem::setImage | ( | const DImg & | img | ) |

Note
  DImg is explicitly shared, and no copy is automatically taken here.